
QGIS Application - Bug report #9551

Impossible to see selection or current identify feature if using data defined colours

2014-02-12 06:01 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18138

Description

I'm marking this as a blocker as it's a regression from 2.0.

If a layer uses data defined colours, it's currently impossible to see which feature is highlighted by either a selection or the identify tool. It

looks like QGIS is just redrawing the selection/identify result using the data defined colour, rather then the selection/identify colour.

Associated revisions

Revision 8f829750 - 2014-02-13 10:45 AM - Martin Dobias

Fix #9551 (Impossible to see selection or current identify feature if using data defined colours)

History

#1 - 2014-02-12 11:03 PM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2014-02-13 01:46 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"8f829750a24162d046eeb09cdf80d922fd88f170".
